SoftThreadLocalMap (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.support
[Java] Class SoftThreadLocalMap

    java.lang.Object
      java.lang.ThreadLocal
          java.lang.InheritableThreadLocal
              org.codehaus.groovy.grails.support.SoftThreadLocalMap

    @java.lang.SuppressWarnings({ "unchecked", "rawtypes" })
    public class SoftThreadLocalMap
    extends java.lang.InheritableThreadLocal

Creates a InheritableThreadLocal with an intial value of a Map.

Authors:
  Graeme Rocher

Since:
  0.6

Method Summary
`protected java.util.Map` | `initialValue()` Creates an initial value of a Map.

Methods inherited from class java.lang.InheritableThreadLocal
java.lang.InheritableThreadLocal#remove(), java.lang.InheritableThreadLocal#get(), java.lang.InheritableThreadLocal#set(java.lang.Object), java.lang.InheritableThreadLocal#wait(long, int), java.lang.InheritableThreadLocal#wait(long), java.lang.InheritableThreadLocal#wait(), java.lang.InheritableThreadLocal#equals(java.lang.Object), java.lang.InheritableThreadLocal#toString(), java.lang.InheritableThreadLocal#hashCode(), java.lang.InheritableThreadLocal#getClass(), java.lang.InheritableThreadLocal#notify(), java.lang.InheritableThreadLocal#notifyAll()

Methods inherited from class java.lang.ThreadLocal
java.lang.ThreadLocal#remove(), java.lang.ThreadLocal#get(), java.lang.ThreadLocal#set(java.lang.Object), java.lang.ThreadLocal#wait(long, int), java.lang.ThreadLocal#wait(long), java.lang.ThreadLocal#wait(), java.lang.ThreadLocal#equals(java.lang.Object), java.lang.ThreadLocal#toString(), java.lang.ThreadLocal#hashCode(), java.lang.ThreadLocal#getClass(), java.lang.ThreadLocal#notify(), java.lang.ThreadLocal#notifyAll()

Method Detail

### initialValue

    @java.lang.Override
    protected java.util.Map initialValue()

  Creates an initial value of a Map.

Groovy Documentation